BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/search
getTeam ChatAdmin BFF

/bff/team-chat/search

Accent-insensitive, at least 3 characters, only rooms where the caller is an active participant. Newest first, max 30.

Team chatgetBffTeam-chatSearch

Parameters

1 query

Query parameters

· 1
qstringRequired
Length: 1–200
Exampleexample_q

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
roomIdstringRequired
roomType"self" | "direct" | "group"Required
roomTitlestringRequired
messageIdstringRequired
positionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
authorUserIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
contentstringRequired
insertedDatestringRequired

Response example

application/json
{
  "items": [
    {
      "roomId": "example_roomId",
      "roomTitle": "example_roomTitle",
      "messageId": "example_messageId",
      "content": "example_content",
      "insertedDate": "example_insertedDate"
    }
  ]
}

Request example

GET /bff/team-chat/search

get
curl -X GET "https://api.bizkithub.com/bff/team-chat/search?q=example_q" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key